<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
<f:metadata>
    <f:viewAction action="#{mugBean.loadMugById(param.id)}"/>
</f:metadata>
<ui:composition template="/master.xhtml">
    <ui:define name="content">
        <h4>Mug</h4>
        <h:panelGroup styleClass="merch-details" layout="block">
            <h:outputLabel for="name" value="Name"/>
            <h:outputText id="name" styleClass="inetum-value" value="#{mugBean.mug.name}"/>
            <h:outputLabel for="description" value="Description"/>
            <h:outputText id="description" styleClass="inetum-value" value="#{mugBean.mug.description}"/>
            <h:outputLabel for="mug-size" value="Mug size"/>
            <h:outputText id="mug-size" styleClass="inetum-value" value="#{mugBean.mug.mugSize}"/>
            <h:outputLabel for="price" value="Price"/>
            <h:outputText id="price" styleClass="inetum-value" value="#{mugBean.mug.price}"/>
        </h:panelGroup>
    </ui:define>
</ui:composition>
</html>
